# О проекте

Данный проект представляет идиоматичный API на языке Rust к библиотеке шифрования проекта RusQrypto.

# Использование

Для поиска библиотеки в процессе линковки используется переменная окружения `GOSTCRYPTO_LIB_DIR`. Если переменная не установлена, поиск библиотеки происходит в системном каталоге.

Для указания типа библиотеки используется переменная окружения `GOSTCRYPTO_STATIC`. Если переменная установлена (в любое непустое значение), то линкуется библиотека линкуется статически.

# Внутренняя документация

`generate_bindings.sh` - скрипт для пересоздания `sys.rs` из заголовочного файла `gostcrypto.h`.
