fn main() {
    println!("cargo:rerun-if-env-changed=GOSTCRYPTO_STATIC");
    println!("cargo:rerun-if-env-changed=GOSTCRYPTO_LIB_DIR");

    let mode = if std::env::var("GOSTCRYPTO_STATIC").is_ok() {
        "static"
    } else {
        "dylib"
    };
    let lib_name = "gostcrypto";
    println!("cargo:rustc-link-lib={}={}", mode, lib_name); // the "-l" flag

    if let Ok(lib_dir) = std::env::var("GOSTCRYPTO_LIB_DIR") {
        println!("cargo:rustc-link-search={}", lib_dir); // the "-L" flag
    }
}
